/!\ This page is not a bug tracker. If you run into a problem not listed here, please file a bug.
When entering a new problem, please enter it above the others, and follow the format of the JhbuildIssues/JhbuildIssueTemplate for new problems/modules.

List of common errors for the module TODO: enter the module name here.

Error - evolution requires OpenLDAP version >= 2

System details: 01.12.2006 - GNOME 2.18

Stage: Configure

checking for OpenLDAP... yes
checking if OpenLDAP is version 2.x... no
configure: error: evolution requires OpenLDAP version >= 2

Cause:

The OpenLDAP development packages is not installed.

Solution:

Install the OpenLDAP development package, named libldap2-dev in Debian.

Error - ssl.h not found

System details: December 18, 2006 - GNOME 2.17 from tarballs

Stage: Build

camel.c:35:17: ssl.h: No such file or directory
camel.c: In function `camel_shutdown':
camel.c:59: warning: implicit declaration of function `NSS_Shutdown'
camel.c: In function `camel_init':
camel.c:102: warning: implicit declaration of function `NSS_InitReadWrite'
camel.c:102: error: `SECFailure' undeclared (first use in this function)
camel.c:102: error: (Each undeclared identifier is reported only once
camel.c:102: error: for each function it appears in.)
camel.c:104: warning: implicit declaration of function `NSS_NoDB_Init'
camel.c:110: warning: implicit declaration of function `NSS_SetDomesticPolicy'
camel.c:112: warning: implicit declaration of function `SSL_OptionSetDefault'
camel.c:112: error: `SSL_ENABLE_SSL2' undeclared (first use in this function)
camel.c:113: error: `SSL_ENABLE_SSL3' undeclared (first use in this function)
camel.c:114: error: `SSL_ENABLE_TLS' undeclared (first use in this function)
camel.c:115: error: `SSL_V2_COMPATIBLE_HELLO' undeclared (first use in this function)
make[3]: *** [camel.lo] Error 1
make[3]: Leaving directory `/export/home/b/newrenTemp/tarball-gnome/evolution-data-server-1.9.4/camel'

Cause:

The firefox tarball package does not install the nss includes as it should. This annoying problem seems to be well known and worked around by packagers; for example, GARNOME has manual hacks to install this stuff for firefox when building it (see http://cvs.gnome.org/viewcvs/garnome/bootstrap/firefox/Makefile?view=markup) as does jhbuild when building the modules from cvs instead of tarballs (see http://cvs.gnome.org/viewcvs/jhbuild/jhbuild/modtypes/mozillamodule.py?view=markup).

Solution:

Assuming you are trying to install firefox-1.5.0.6 and your install prefix is /opt/tarball-gnome2, go to the mozilla checkout directory and run

mkdir /opt/tarball-gnome2/include/firefox-1.5.0.6/nss
cp -f dist/public/nss/*.h /opt/tarball-gnome2/include/firefox-1.5.0.6/nss/

Projects/Jhbuild/Issues/evolution-data-server (last edited 2013-11-25 16:29:21 by WilliamJonMcCann)